#!/bin/sh
# 
# pastebin.com/eKbm118F
# 
# tinyurl.com/y7lghzs4
#
# The FlightAware should now be working.
# This script will install PiAware
# so you have a fancy-pants dashboard.


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ INSTALL FLIGHTAWARE TCL-TLS ~~~~~~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

export TCLTLS_DIR="/root/codes/tcltls-rebuild"
git clone https://github.com/flightaware/tcltls-rebuild.git ${TCLTLS_DIR}
cd ${TCLTLS_DIR}
./prepare-build.sh buster
cd package-buster
dpkg-buildpackage -b --no-sign
cd ../
dpkg -i tcl-tls_1.7.16-1+fa1_armhf.deb
# Tell aptitude not to force upgrade tcl-tls
apt-mark hold tcl-tls


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ INSTALL PIAWARE ~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ (IF ANYONE AX, UR RUNNIN BUSTER) ~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

export PIAWARE_DIR="/root/codes/piaware_builder"
git clone https://github.com/flightaware/piaware_builder.git ${PIAWARE_DIR}
cd ${PIAWARE_DIR}
./sensible-build.sh buster
cd package-buster/
dpkg-buildpackage -b
cd ../
dpkg -i piaware_3.8.1_armhf.deb

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "~~~ OK BRO FLIGHTAWARE IS INSTALLED ~~~~~~~"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

